Subject: Re: PATCH: vi-mode case-manipulation
From: Bart Schaefer <[email-masked]>
To: Zsh workers <[email-masked]>
Date: Wed, 29 Jun 2016 09:33:20 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jun 28,  4:46pm, Oliver Kiddle wrote:
}
} Perhaps select-bracketed and quoted would also be better in C form with
} something simpler and less likely to be missed by a vim user serving as
} a shell widget example.

At the very least there should be contrib.yo items for select-bracketed
and select-quoted, which presently there are not.

} I think there is some value in providing a shell widget example of how
} to read a vi movement. This includes vi-pipe which is like ! in vi.

I think you've forgotten an "emulate zsh" or the like, since you're
referencing $REPLY and $CUTBUFFER un-quoted.  (Sorry I didn't get to
this before you'd committed.)